[@rxap/socket-io](../wiki/globals) / withSocketIoNamespace

# Function: withSocketIoNamespace()

> **withSocketIoNamespace**(`namespace`): `Provider`

Defined in: [provide.ts:47](https://gitlab.com/rxap/packages/-/blob/15b5fab8912b1042ea325e7f4d98844416018df1/packages/angular/socket-io/src/lib/provide.ts#L47)

## Parameters

### namespace

`string`

## Returns

`Provider`
